/**   
* @Title: AlipayCore.java 
* @Package com.platform.util 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月13日 下午3:07:32 
* @version V1.0   
*/
package com.platform.util;

import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/** 
 * @ClassName: AlipayCore 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年9月13日 下午3:07:32 
 *  
 */
public class AlipayCore {
	public static Map<String,String> paraFilter(Map<String,String> sArray){
		Map<String,String> result=new HashMap<String, String>();
		if(sArray==null||sArray.size()<=0){
			return result;
		}
		for(String key:sArray.keySet()){
			String value=sArray.get(key);
			if(value==null||value.equals("")||key.equalsIgnoreCase("sign")||key.equalsIgnoreCase("sign_type")){
				continue;
				
			}
			result.put(key, value);
		}
		return result;
		
	}
	public static String createLinkString(Map<String,String> params){
		List<String> keys=new ArrayList<String>(params.keySet());
		Collections.sort(keys);
		String prestr="";
		for(int i=0;i<keys.size();i++){
			String key=keys.get(i);
			String value=params.get(key);
			if(i==keys.size()-1){
				prestr=prestr+key+"="+value;
			}else{
				prestr=prestr+key+"="+value+"&";
			}
		}
		return prestr;
	}

}
